
QGIS Application - Bug report #7574

artifacts when moving points in the canvas

2013-04-11 07:00 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16514

Description

See the two attached screenshots, one took in 1.8 and the other in master.

In 1.8 when moving around a point the same point has around that red frame and all is ok.

On master the frame is gone and while moving the mouse it appear a track of artifacts.

Does not happen with polygons, did not tested lines.

Associated revisions

Revision a2b2e169 - 2013-04-29 06:26 PM - Matthias Kuhn

[Fix #7574] [rubberband] Artifacts when using a rubberband with a single point

History

#1 - 2013-04-29 09:26 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"a2b2e169377324e1ec87fcfc30873c4525264dd6".

#2 - 2013-04-29 09:27 AM - Matthias Kuhn

Giovanni, this is a problem that depends on video drivers and mine here don't allow me to reproduce this problem.

Can you verify it's really fixed?

#3 - 2013-04-30 06:11 AM - Matthias Kuhn

- Assignee set to Matthias Kuhn

#4 - 2013-05-02 01:26 AM - Giovanni Manghi

Matthias Kuhn wrote:

Giovanni, this is a problem that depends on video drivers and mine here don't allow me to reproduce this problem.

Can you verify it's really fixed?
fixed indeed!
